Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 733544 - gnome-extra/cinnamon version bump to 4.6.6
Summary: gnome-extra/cinnamon version bump to 4.6.6
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Cinnamon Team (DISABLED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-22 17:03 UTC by ed
Modified: 2020-09-09 02:15 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ed 2020-07-22 17:03:39 UTC
New version includes a number of fixes and optimizations

Reproducible: Always
Comment 1 Matthew Turnbull 2020-07-29 14:17:34 UTC
I've been sitting on this because cinnamon 4.6 reworked how multi-display and HiDPI environments were handled and introduced a number of regressions.

A number of things have been fixed in the point releases, and there are some more fixes committed and waiting for a release to be tagged for cinnamon-desktop and cinnamon-control-center.

At this point, things might be good enough for most users, so I'm going to work on getting a PR created for review.

Examples of some outstanding multi-display and HiDPI issues:
https://github.com/linuxmint/cinnamon/issues/9462
https://github.com/linuxmint/cinnamon/issues/9371
Comment 2 Matthew Turnbull 2020-07-29 19:45:12 UTC
PR https://github.com/gentoo/gentoo/pull/16903
Comment 3 Larry the Git Cow gentoo-dev 2020-09-09 02:15:35 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3da04b78334de3e834a8eea2d150478c67dc62cf

commit 3da04b78334de3e834a8eea2d150478c67dc62cf
Author:     Matthew S. Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-07-29 16:19:10 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-09 02:15:01 +0000

    gnome-extra/cinnamon: 4.6.7 version bump
    
    Switch to EAPI=7.
    
    Closes: https://bugs.gentoo.org/733544
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 gnome-extra/cinnamon/Manifest              |   1 +
 gnome-extra/cinnamon/cinnamon-4.6.7.ebuild | 181 +++++++++++++++++++++++++++++
 2 files changed, 182 insertions(+)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ffe335c43a556bb211db773cf8665491de2a6001

commit ffe335c43a556bb211db773cf8665491de2a6001
Author:     Matthew S. Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-07-29 16:16:34 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-09 02:15:01 +0000

    gnome-extra/cinnamon-session: 4.6.2 version bump
    
    Simplify systemd/elongind handling. Drop upstreamed patches.
    
    Bug: https://bugs.gentoo.org/733544
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 gnome-extra/cinnamon-session/Manifest              |  1 +
 .../cinnamon-session/cinnamon-session-4.6.2.ebuild | 66 ++++++++++++++++++++++
 2 files changed, 67 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=79ee18bd3017157b53bb5f0ba66dccf1b848ae29

commit 79ee18bd3017157b53bb5f0ba66dccf1b848ae29
Author:     Matthew S. Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-07-29 16:14:02 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-09 02:15:01 +0000

    gnome-extra/cinnamon-control-center: 4.6.2 version bump
    
    Switch to EAPI=7.
    
    Bug: https://bugs.gentoo.org/733544
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 gnome-extra/cinnamon-control-center/Manifest       |  1 +
 .../cinnamon-control-center-4.6.2.ebuild           | 88 ++++++++++++++++++++++
 2 files changed, 89 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=efdfc2451ae7221961231d722c33c7e07124e331

commit efdfc2451ae7221961231d722c33c7e07124e331
Author:     Matthew S. Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-07-29 16:09:51 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-09 02:15:00 +0000

    gnome-extra/cinnamon-settings-daemon: 4.6.4 version bump
    
    Switch to EAPI=7. Drop upstreamed patches.
    
    Bug: https://bugs.gentoo.org/733544
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 gnome-extra/cinnamon-settings-daemon/Manifest      |   1 +
 .../cinnamon-settings-daemon-4.6.4.ebuild          | 112 +++++++++++++++++++++
 2 files changed, 113 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=595bf917931b90247bfb191800275de6b7480ebf

commit 595bf917931b90247bfb191800275de6b7480ebf
Author:     Matthew S. Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-07-29 16:05:00 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-09 02:15:00 +0000

    gnome-extra/cinnamon-screensaver: 4.6.0 version bump
    
    Switch to EAPI=7/meson. Include temp patchs, to fix python
    install and builds with xinerama disabled, both of which have
    been committed upstream but are currently unreleased.
    
    Bug: https://bugs.gentoo.org/733544
    Package-Manager: Portage-3.0.4, Repoman-2.3.23
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 gnome-extra/cinnamon-screensaver/Manifest          |  1 +
 .../cinnamon-screensaver-4.6.0.ebuild              | 76 +++++++++++++++++++++
 .../cinnamon-screensaver-4.6.0-python-build.patch  | 77 ++++++++++++++++++++++
 .../cinnamon-screensaver-4.6.0-xinerama.patch      | 49 ++++++++++++++
 4 files changed, 203 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b46e841f00b4d4310445bd674f13270aff9e2485

commit b46e841f00b4d4310445bd674f13270aff9e2485
Author:     Matthew S. Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-07-29 16:00:28 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-09 02:15:00 +0000

    gnome-extra/nemo: 4.6.5 version bump
    
    Tracker support restored upstream.
    
    Bug: https://bugs.gentoo.org/733544
    Closes: https://bugs.gentoo.org/709298
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 gnome-extra/nemo/Manifest          |  1 +
 gnome-extra/nemo/metadata.xml      |  3 ++
 gnome-extra/nemo/nemo-4.6.5.ebuild | 84 ++++++++++++++++++++++++++++++++++++++
 3 files changed, 88 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4f2a11c9ed614797d4f171d87c02898a461f027b

commit 4f2a11c9ed614797d4f171d87c02898a461f027b
Author:     Matthew S. Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-07-29 15:52:27 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-09 02:15:00 +0000

    x11-wm/muffin: 4.6.3 version bump
    
    Switch to EAPI=7.
    
    Bug: https://bugs.gentoo.org/733544
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 x11-wm/muffin/Manifest            |  1 +
 x11-wm/muffin/muffin-4.6.3.ebuild | 97 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b3ccddbe46129dc3aa4dbaff88f71dcee3b9344a

commit b3ccddbe46129dc3aa4dbaff88f71dcee3b9344a
Author:     Matthew S. Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-07-29 15:48:42 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-09 02:15:00 +0000

    gnome-extra/cjs: 4.6.0 version bump
    
    Switch to EAPI=7.
    
    Bug: https://bugs.gentoo.org/733544
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 gnome-extra/cjs/Manifest         |  1 +
 gnome-extra/cjs/cjs-4.6.0.ebuild | 74 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=435c5a857e961e59a63ec786e7bcb68131d05d7a

commit 435c5a857e961e59a63ec786e7bcb68131d05d7a
Author:     Matthew S. Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-07-29 15:47:04 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-09 02:14:59 +0000

    gnome-extra/cinnamon-menus: 4.6.1 version bump
    
    Bug: https://bugs.gentoo.org/733544
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 gnome-extra/cinnamon-menus/Manifest                |  1 +
 .../cinnamon-menus/cinnamon-menus-4.6.1.ebuild     | 36 ++++++++++++++++++++++
 2 files changed, 37 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=20295816d54db513261266aeb9cfe048b86f3b34

commit 20295816d54db513261266aeb9cfe048b86f3b34
Author:     Matthew S. Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-07-29 15:40:15 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-09 02:14:59 +0000

    gnome-extra/cinnamon-translations: 4.6.2 version bump
    
    Bug: https://bugs.gentoo.org/733544
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 gnome-extra/cinnamon-translations/Manifest         |  1 +
 .../cinnamon-translations-4.6.2.ebuild             | 31 ++++++++++++++++++++++
 2 files changed, 32 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=866f0125786feb012ef467897d1cfb4b68b8995b

commit 866f0125786feb012ef467897d1cfb4b68b8995b
Author:     Matthew S. Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-07-29 15:37:03 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-09 02:14:59 +0000

    gnome-extra/cinnamon-desktop: 4.6.4 version bump
    
    Bug: https://bugs.gentoo.org/733544
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 gnome-extra/cinnamon-desktop/Manifest              |  1 +
 .../cinnamon-desktop/cinnamon-desktop-4.6.4.ebuild | 49 ++++++++++++++++++++++
 2 files changed, 50 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=982cf0a6a0a878fd86160c18d6696527ab01772b

commit 982cf0a6a0a878fd86160c18d6696527ab01772b
Author:     Matthew S. Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-07-29 15:24:10 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-09 02:14:59 +0000

    x11-libs/xapps: 1.8.9 version bump
    
    Fix python_optimize handling. Upstream renamed to xapp.
    
    Bug: https://bugs.gentoo.org/733544
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 x11-libs/xapps/Manifest           |  1 +
 x11-libs/xapps/xapps-1.8.9.ebuild | 88 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 89 insertions(+)